import { type ActionDslDefinition } from '@oinone/kunlun-dsl';
import { type ActiveRecord } from '@oinone/kunlun-engine';
import { ListSelectMode } from '@oinone/kunlun-vue-ui-common';
import { type OioAnyViewState, type OioGalleryViewState } from '@oinone/kunlun-vue-widget';
import { BaseElementWidget } from '../../basic';
import { type UserTablePrefer } from '../../typing';
export declare class CardWidget extends BaseElementWidget {
    protected viewState: OioGalleryViewState | undefined;
    protected isCard: boolean;
    /**
     * 默认间距
     */
    private get defaultGutter();
    protected cols: number;
    protected get formData(): ActiveRecord;
    protected rowIndex: number | undefined;
    protected userPrefer?: UserTablePrefer;
    initialize(props: any): this;
    protected get minWidth(): number | null | undefined;
    protected get maxWidth(): number | null | undefined;
    protected get width(): number | null | undefined;
    protected get height(): number | null | undefined;
    protected get minHeight(): number;
    protected get maxHeight(): number | null | undefined;
    protected selectMode: ListSelectMode | undefined;
    protected get titleProps(): Record<string, unknown> | undefined;
    protected get contentProps(): Record<string, unknown> | undefined;
    protected get clickActionDslDefinition(): ActionDslDefinition | undefined;
    protected get allowClick(): boolean;
    protected onClick(): Promise<void>;
    protected get isSelected(): boolean;
    protected onCheckboxChange(val: boolean): void;
    protected get inlineActiveCount(): number | undefined;
    protected $$initViewState(state: OioAnyViewState): void;
    protected $$unmounted(): void;
}
